{
  description = "Nix side-by-side repl";

  inputs.nixpkgs.url = "github:nixos/nixpkgs";

  outputs = {
    self,
    nixpkgs,
  }: let
    system = "x86_64-linux";
    pkgs = nixpkgs.legacyPackages.${system};
  in {
    packages.${system}.default = pkgs.buildGoModule {
      pname = "nixpl";
      version = "0.1.0";
      src = ./.;
      vendorHash = "sha256-uBp+x6UjVJUhzOnWngHPkkWUjGEVkYWfIrZhUVVkxPo=";
      meta = with pkgs.lib; {
        description = "Nix side-by-side repl";
        homepage = "https://git.jojodev.com/jolheiser/nixpl";
        maintainers = with maintainers; [jolheiser];
        mainProgram = "nixpl";
      };
    };

    devShells.${system}.default = pkgs.mkShell {
      nativeBuildInputs = with pkgs; [
        go
        gopls
        alejandra
      ];
    };
  };
}
